Retrieve a VPC peering

View as Markdown

Get details of a VPC peering by ID.

Tenant Admin can get a peering if at least one VPC belongs to their tenant. Provider Admin can get a peering if it is in a site provided by their org.

User must have FORGE_TENANT_ADMIN or FORGE_PROVIDER_ADMIN role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
idstringRequired

Query parameters

includeRelationenumOptional
Related entity to expand
Allowed values:

Response

OK
idstringRead-onlyformat: "uuid"
Unique identifier of the VPC peering
vpc1IdstringRead-onlyformat: "uuid"
ID of the first VPC in the peering
vpc2IdstringRead-onlyformat: "uuid"
ID of the second VPC in the peering
siteIdstringRead-onlyformat: "uuid"
ID of the Site where the peering exists
isMultiTenantbooleanRead-only

Indicates if this is a multi-tenant peering (VPCs from different tenants)

statusenum
Status of the VPC peering
createddatetimeRead-only
Date and time when the VPC peering was created
updateddatetimeRead-only
Date and time when the VPC peering was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error